PaidGoods
API referenceAffiliates

List affiliates

GET
/v1/stores/{storeId}/affiliates

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Query Parameters

segment?string
Default"all"

Value in

  • "all"
  • "active"
  • "inactive"
  • "new"
  • "suspended"
  • "applied"
tierId?string
Lengthlength <= 40
q?string
Lengthlength <= 200
sort?string
Default"recent"

Value in

  • "recent"
  • "earned"
  • "referrals"
page?integer
Range1 <= value <= 9007199254740991
Default1
perPage?integer
Range1 <= value <= 100
Default20

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/stores/string/affiliates"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",      "email": "string",      "code": "string",      "referralUrl": "string",      "status": "applied",      "tierId": "fc392c40-3620-4503-8c0d-7df4d7876c3d",      "tierName": "string",      "commissionBp": -9007199254740991,      "commissionOverrideBp": -9007199254740991,      "referrals": -9007199254740991,      "earnedMinor": -9007199254740991,      "balanceMinor": -9007199254740991,      "currency": "string",      "applicationAnswer": "string",      "statusReason": "string",      "source": "string",      "createdAt": "string",      "approvedAt": "string"    }  ],  "pagination": {    "page": -9007199254740991,    "perPage": -9007199254740991,    "total": -9007199254740991  },  "counts": {    "property1": -9007199254740991,    "property2": -9007199254740991  }}